#!/bin/sh


APPS_NAME="hotplug"
if [ -e sysconfig.sh ]; then
        . ./sysconfig.sh
        . ./config.sh
        . ./model_config.sh
else
        echo "Application "$APPS_NAME" not configured"
        exit 1;
fi

display_info "----------------------------------------------------------------------"
display_info "----------------------      build hotplug      -----------------------"
display_info "----------------------------------------------------------------------"

parse_args $@

if [ $BUILD_CLEAN -eq 1 ]; then
	#make prefix=${BUILD_ROOTFS_DIR} uninstall
        make clean
	rm -f .config_ok
	[ ! $BUILD_CONFIGURE -eq 1 ] && exit 0
fi

if [ "$1" = "config_only" ] ; then
        exit 0
fi


make prefix=${BUILD_ROOTFS_DIR} install
ifx_error_check $?
